Subject: RE: [dhcwg] Re: Last Call: DHCP Domain Search Option to Proposed Standard

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Thu, 25 Oct 2001 00:08:27 -0500

Thomas ... I believe the conclusion was that these references to the concat draft are necessary. They are necessary for any options that could possibly ever need to make use of the concat technique. The domain search option is one of the options that could be long enough to require concat techniques.

We must require that both the client and server supporting this option MUST also support the concat option. If this isn't the case, then if the server implements concat but the client doesn't, the client may easily improperly process the returned option and this would cause significant problems since the client would not know how to handle multiple occurrences of the option and might use any one of the occurrences (rather than concatenating) or drop the packet as being malformed (since the original DHCP specification said an option may occur only once if I recall correctly).

If a new option is defined that has a fixed length (such as carrying a single IP address), there is no need to require that the client and server also implement concat to support that option.

- Bernie

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]]
Sent: Wednesday, October 24, 2001 7:43 PM
To: Bernard Aboba
Cc: [email-masked]
Subject: [dhcwg] Re: Last Call: DHCP Domain Search Option to Proposed
Standard

IETF Last Call has ended on this document, and I recall that Keith
Moore had some comments. Not sure if any other issues were raised.

Note that as the document is currently written, I believe it has a
normative dependency on the draft-ietf-dhc-concat-01.txt ID. There was
some discussion about whether that was necessary or not, but I'm not
sure what the final resolution was. In any case, I think wording
changes would be need to make the reference non-normative. If the
intention is that the reference be normative, we need the other ID to
move forward as well.

Are there any other issues that need to be resolved?

Once the remaining issues are resolved and a new ID is out, I can
bring the document before the IESG for consideration.

Thomas

_______________________________________________
dhcwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/dhcwg